package com.example.pietroemporio.wikitude;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;

import android.widget.Toast;

import com.wikitude.architect.ArchitectStartupConfiguration;
import com.wikitude.architect.ArchitectView;

import java.io.IOException;


public class ArActivity extends AppCompatActivity {

    public ArchitectView architectView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_ar);

        if (!ArchitectView.isDeviceSupported(this)) {
            Toast.makeText(this, "ATTENZIONE: Dispositivo non supportato", Toast.LENGTH_LONG).show();
            /*KILL APP*/
        }

        final ArchitectStartupConfiguration config = new ArchitectStartupConfiguration();
        architectView = (ArchitectView)findViewById( R.id.architectView );
        config.setLicenseKey("**********************************************************************************");
        architectView.onCreate( config );
    }

    @Override
    protected void onPostCreate (Bundle savedInstanceState){
        super.onPostCreate(savedInstanceState);
            architectView.onPostCreate();
        try {
            architectView.load("home.html");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Override
    protected void onResume (){
        super.onResume();
        architectView.onResume();
    }

    @Override
    protected void onDestroy (){
        super.onDestroy();
        architectView.onDestroy();
    }

    @Override
    protected void onPause (){
        super.onPause();
        architectView.onPause();
    }
}
